
DIRECTORY=`dirname $0`
cd $DIRECTORY
sudo mkdir /Users/Shared/timeglobe/db-tool/
sudo chmod -R 777 /Users/Shared/timeglobe/*
echo "########################### COPY FILES ################################"
sudo cp ./00_data/db-tool.jar /Users/Shared/timeglobe/db-tool/db-tool.jar
sudo launchctl unload /Library/LaunchDaemons/possat-8080.plist
sleep 5
echo "########################### COPY FILES  COMPLETE ################################"
echo 'KassenCode(2010p20): '
read code
sleep 2
echo "########################### CREATE BACKUP ################################"
/Users/Shared/timeglobe/pos/jre/bin/java -jar /Users/Shared/timeglobe/db-tool/db-tool.jar backup jarfile:=/Users/Shared/timeglobe/db-tool/backup database-type:=derby source-db:=/Users/Shared/timeglobe/pos/database/db_pos_s$code
echo "########################### CREATE COMPLETE ################################"
sleep 5

echo "########################### COPY FILES ################################"
sudo cp  ./00_data/httpclient-4.5.3.jar /Users/Shared/timeglobe/pos/possat-8080/lib/
sudo cp  ./00_data/httpclient-cache-4.5.3.jar /Users/Shared/timeglobe/pos/possat-8080/lib/
sudo cp  ./00_data/httpclient-win-4.5.3.jar /Users/Shared/timeglobe/pos/possat-8080/lib/
sudo cp  ./00_data/httpcore-4.4.6.jar /Users/Shared/timeglobe/pos/possat-8080/lib/
sudo cp  ./00_data/httpmime-4.5.3.jar /Users/Shared/timeglobe/pos/possat-8080/lib/
sudo cp  ./00_data/db-tool.jar /Users/Shared/timeglobe/db-tool/
sudo cp  ./00_data/pos.xml /Users/Shared/timeglobe/db-tool/
sudo cp ./00_data/2.01/db-upgrade-tool.jar /Users/Shared/timeglobe/db-tool/
sudo cp ./00_data/2.01/pos.xml /Users/Shared/timeglobe/db-tool/
sudo cp ./00_data/2.01/Script1.sql /Users/Shared/timeglobe/db-tool/
sudo cp ./00_data/2.01/Script2.sql /Users/Shared/timeglobe/db-tool/
sudo cp -R ./00_data/2.01/reports/ /Users/Shared/timeglobe/pos/possat-8080/webapps/ROOT/$code/
sudo cp -R ./00_data/2.01/*.war /Users/Shared/timeglobe/pos/apps/
sudo chmod -R 777 /Users/Shared/timeglobe/*
echo "########################### COPY FILES COMPLETE ################################"
sleep 5

echo "########################### UPGRADE TO 2.0.1 ################################"
sleep 5
/Users/Shared/timeglobe/pos/jre/bin/java -jar /Users/Shared/timeglobe/db-tool/db-upgrade-tool.jar derby-db-upgrade source-db:=/Users/Shared/timeglobe/pos/database/db_pos_s$code script-before:=/Users/Shared/timeglobe/db-tool/Script1.sql script-after:=/Users/Shared/timeglobe/db-tool/Script2.sql target-modelfile:=/Users/Shared/timeglobe/db-tool/pos.xml
sleep 5
echo "########################### UPGRADE TO 2.0.1 COMPLETE ################################"


sudo launchctl load /Library/LaunchDaemons/possat-8080.plist
sleep 5
echo 'TenantNo'
read t
echo 'posCd'
read p
echo 'HasCrs?'
read crs
echo 'isChainStore?'
read chain

p2="$(echo "$p" | tr '[:upper:]' '[:lower:]')"

planetUrl="https://planet10.time-globe-crs.de/pp$t/servlet"
posUrl="http://localhost:8080/s$t$p2/servlet"
echo "########################### MIGRATE ################################"
/Users/Shared/timeglobe/pos/jre/bin/java -jar ./00_data/migration-tool.jar tenantNo:$t posCd:$p isChainStore:$chain hasCrs:$crs planetUrl:$planetUrl posUrl:$posUrl

echo "########################### MIGRATE COMPLETE ################################"
echo "########################### UPDATE COMPLETE ################################"
